/*ui-menu 参照iOS 中 UIMenuController 菜单样式，以UIMenu命名*/
#speech_content_panel .ui-menu {
    background-color: black;
    z-index: 999;
    position: absolute;
    width: 70px;
    height: 30px;
    border-radius: 5px;
    align-items: center;
    display: none;
    line-height: 30px;
    /*border-bottom: 20px;*/
    /*margin-top: 0px;*/
}

#speech_content_panel .ui-menu .narrow {
    z-index: 999;
    width: 0;
    height: 0;
    position: relative;
    border-top: solid 6px #000;
    border-left: solid 6px transparent;
    border-right: solid 6px transparent;
}

#speech_content_panel .ui-menu .narrow.narrow-on-left {
    left: 10px;
}

#speech_content_panel .ui-menu .narrow.narrow-on-right {
    left: calc(100% - 20px);
}

#speech_content_panel .ui-menu .narrowToDown {

}

#speech_content_panel .ui-menu .narrowToUp {
    bottom: 120%;
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}

#speech_content_panel .ui-menu .ui-menu-content {
    display: flex;
    justify-content: space-between;
    align-content: center;
}

#speech_content_panel .ui-menu .ui-menu-item {
    color: white;
    margin: 0 10px;
}

#speech_content_panel .ui-menu .ui-menu-item:first-child {
    margin-left: 10px;
}

#speech_content_panel .ui-menu .ui-menu-item:last-child {
    margin-right: 10px;
}

.speech-component{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 199px;
    height: 40px;
    box-sizing: border-box;
    border: 1px solid #ccd9e2;
    background-color: #f3f7f8;
    padding: 0 10px;
    display: none;
}
.speech-component-text{
    font-size: 14px;
    color: #333;
    line-height: 38px;
    float: left;
    height: 100%;
    position: relative;
    z-index: 2;
}
.speech-component-sign{
    display: inline-block;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background-color: #0ecd17;
    margin-right: 10px;
    vertical-align: -2px;
}
.speech-operationBtn{
    position: relative;
    z-index: 2;
    display: block;
    width: 50px;
    height: 26px;
    float: right;
    margin: 6px 0 0 10px;
    box-sizing: border-box;
    border-radius: 3px;
    font-size: 14px;
    color: #333;
    line-height: 22px;
    text-align: center;
    background: url("../images/sk/bg_btn.png") top left repeat-x;
    border: 1px solid #ccd9e2;
    cursor: pointer;
    outline: none;
}
.speech-operationBtn:hover{
    background: url("../images/sk/bg_btn_h.png") top left repeat-x;
}
.speech-component-timeLine{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: #dcf3ed;
}
.speech-component-timeLine{
    animation: speech 60s linear 1;
    -moz-animation: speech 60s linear 1;
    -webkit-animation: speech 60s linear 1;
    -o-animation: speech 60s linear 1;
}
@keyframes speech {
    0%{
        width: 0;
    }
    100%{
        width: 100%;
    }
}
.speech-symbol{
    position: absolute;
    padding-left: 30px;
    line-height: 20px;
    background: url("../images/sk/symbol.png") left center no-repeat;
    font-size: 14px;
    color: #999;
    top: 44px;
    left: 22px;
}
.speech-button img:nth-child(1){
    display: block;
}
.speech-button img:nth-child(2){
    display: none;
}
.speech-button.active img:nth-child(1){
    display: none;
}
.speech-button.active img:nth-child(2){
    display: block;
}